
Core - Task # 40095

Status: Resolved Priority: Won't have this time
Author: Christian Kuhn Category:
Created: 2012-08-23 Assigned To:
Updated: 2015-06-05 Due date: 2012-09-18
TYPO3 Version: 6.0
PHP Version: 5.3
Complexity:
Sprint Focus:
Subject: Move core to namespaces
Description

Subtasks:
Task # 40096: Namespace switch core main patch Resolved
Task # 40097: Namespace switch dbal main patch Resolved
Task # 40098: Namespace switch extbase main patch Resolved
Task # 40099: Namespace switch fluid main patch Resolved
Task # 40100: Namespace switch linkvalidator main patch Resolved
Task # 40101: Namespace switch version main patch Resolved
Task # 40102: Namespace switch workspaces main patch Resolved
Task # 40103: Raise submodule pointer after namespace switch Resolved
Bug # 40109: Namespace tests Resolved
Bug # 40113: Superfluous brackets in functions after namespaces move Closed
Task # 40114: Make cli_dispatch and cli phpunit to run again Resolved
Task # 40116: Move classes -> Classes Resolved
Bug # 40117: Typo From -> Form Resolved
Task # 40118: Make fluid tests run again Resolved
Task # 40119: Make extbase tests run again Resolved
Task # 40120: Re-enable loading core_autoload Resolved
Task # 40122: Raise submodule pointer: extbase and fluid Resolved
Bug # 40126: Endless loop in flushOutputBuffers Resolved
Bug # 40125: Namespace switch LiveSearch main patch Resolved
Bug # 40123: Namespace TYPO3backend ToolbarItems Resolved
Task # 40131: CGL: Move false -> FALSE Closed
Task # 40133: Load some cache tables in travis Resolved
Bug # 40134: error reporting broken? Closed
Bug # 40135: Reanimate unit tests Resolved
Bug # 40136: Fix broken category collection test Resolved
Bug # 40137: Interface not correctly initialized Resolved
Task # 40138: Raise submodule pointer for extbase and workspaces Resolved
Task # 40141: Make workspaces and tests work again Resolved
Task # 40142: Small cleanup after namespaces transformation Resolved
Bug # 40144: Missing labels for backend login form Resolved
Bug # 40147: Fix test dependency to autoloader Resolved
Bug # 40145: Fatal error thrown in install tool Resolved
Bug # 40146: [rsaauth] Call to undefined method CommandUtility::getCommand() Resolved
Bug # 40148: Could not analyse class:TYPO3\CMS\ViewPage\Controller\ViewModuleController Closed
Bug # 40149: Class '\TYPO3\CMS\IndexedSearch\Controller\SearchFormController_indexer' n... Resolved
Bug # 40150: Naming clash: Fix several unit test failures Resolved
Bug # 40151: Error when trying to change user in Access module Closed
Bug # 40156: Interface Tx_Scheduler_AdditionalFieldProvider' not found Resolved
Bug # 40160: Ajax script are broken Resolved
Bug # 40159: Some classes get cropped because of substrings Resolved
Bug # 40158: Remote extensions aren't displayed Resolved
Bug # 40157: Subrequests can't be resolved Resolved
Bug # 40155: browse_links.php  instantiates wrong class namespace Closed
Bug # 40154: Error when klicking "open in new window" icon in task module Resolved
Bug # 40153: Class TYPO3\CMS\Version\Dependency\DependencyResolver_Callback does not ex... Resolved
Bug # 40152: Error when accessing wizard module and wizard_create_pages is disabled Closed
Bug # 40161: Add Tx_Scheduler_AdditionalFieldProvider to mapping Rejected
Bug # 40162: openid lib missing after namespace operation Resolved
Bug # 40163: taskcenter: Move classes -> Classes Closed
Bug # 40139: Viewpage controller is moved in wrong directory view_page Closed
Bug # 40167: Namespace: Revert extension split-ups Resolved
Bug # 40171: Raise submodule pointer Resolved
Bug # 40173: Namespace: Revert extension split-ups (felogin) Resolved
Bug # 40174: Namespace: Revert extension split-ups (feedit) Resolved
Bug # 40180: Fluid unit test fatal Resolved
Bug # 40181: Namespace: Revert extension split-ups (wizard_sortpages) Resolved
Bug # 40172: Make DBAL unit tests work again Resolved
Bug # 40185: Fix saltedpassword unit-tests Resolved
Bug # 40186: Fix scheduler unit-tests Resolved
Bug # 40175: Fix ajax scripts in recycler Resolved
Bug # 40187: reference to OpenID lib to wrong directory Resolved
Task # 40188: Remove old unit-test files from saltedpasswords Resolved
Bug # 40178: Namespace: Revert extension split-ups (wizard_crpages) Resolved
Bug # 40176: Namespace: Revert extension split-ups (viewpage) Resolved
Bug # 40182: Wrong file and class name in index_search Resolved
Bug # 40192: Namespace: Open doc without open document Resolved
Bug # 40183: Fix install unit-tests Resolved
Bug # 40198: EM: tsconfighelp uses unzip from within "old" EM Closed
Bug # 40200: Fix fluid unit tests Resolved
Bug # 40201: Fix typo3 unit tests Resolved
Bug # 40196: Fix ajax scripts in taskcenter Resolved
Task # 40205: Raise submodule pointer Resolved
Bug # 40194: Namespace: Beuser class names Resolved
Bug # 40202: Remove leading \ in namespaces of default TYPO3_CONF_VARS['LOG'] Closed
Bug # 40204: Namespace: help_cshmanual local_TYPO3 Resolved
Bug # 40208: Namespace: Wizard_Crpage Resolved
Bug # 40207: Namespace: em class loading Closed
Bug # 40203: Namespace: Element Browser Resolved
Task # 40199: Namespace: dispensable mappings and compatibility Resolved
Bug # 40195: Namespace: Form: make Filter Closed
Bug # 40190: funcMenu without Namespace Closed
Bug # 40189:  Remove unused ViewHelpers from ext:belog Resolved
Bug # 40177: Namespace: move Hook-Definitions to Namespace Closed
Bug # 40211: Extbase unit tests Resolved
Task # 40212: Raise submodule pointer: extbase Resolved
Bug # 40210: "template" was replaced by namespace everywhere Resolved
Bug # 40209: Fix cms unit tests Resolved
Bug # 40219: Extbase Cli\Command does not recognize the HelpCommandController as valid ... Resolved
Bug # 40220: Fix some broken classname substitutions in scheduler Resolved
Bug # 40215: Task Table garbage collection (scheduler) fails Resolved
Bug # 40216: Delete pages via drap&drop fails Closed
Bug # 40222: Suggest wizard results in fatal error Resolved
Bug # 40223: tree in filelist module does not always fold in and out Resolved
Bug # 40228: TableListViewHelper fatal Resolved
Bug # 40229: Class fatals Resolved
Bug # 40230: EXT:form - Wrong filter filename leads to fatal Resolved
Task # 40226: Namespace: Remove mapping for ModuleItems Resolved
Bug # 40234: Sysext frontend has no ext_emconf.php Closed
Task # 40235: Move t3lib/file/Driver/Configuration/LocalDriverFlexForm.xml elsewhere Resolved
Bug # 40237: Correct DBAL ux_* class mapping in migrations file Resolved
Bug # 40240: Remove compatibility layer of new classes in 6.0 Resolved
Task # 40224: Cleanup Extbase Resolved
Bug # 40243: Mvc/Request builds old classnames Resolved
Bug # 40242: Old propertymapper has problems with namespaces arguments Resolved
Task # 40233: Move ext_icon.gif from sysext/cms to sysext/frontend Resolved
Task # 40244: Remove compat layer for new 6.0 classes - 2 Resolved
Task # 40247:  Namespace and move t3lib unit tests - 1 Resolved
Task # 40271: Namespace: Move BackendModule tests Resolved
Bug # 40290: TypeHandlingService throws Exception for StorageObjects Resolved
Bug # 40318: Wrong usage of class CacheManager Resolved
Task # 40333: Change all Extbase ExtensionUtility::registerModule calls in the core Resolved
Bug # 40352: RootlineUtility calls DatabaseConnection->fullQuoteStr without table Resolved
Bug # 40353: Namespace and move t3lib unit tests - 2 Resolved
Bug # 40274: Namespace: Repair Frontend tests Closed
Bug # 40282: Editing page is broken by wrong type t3lib_tree_renderer_Abstract Resolved
Task # 40355: Namespace and move t3lib unit tests - 3 Resolved
Bug # 40356: Class autoloader fails for non-core extbase extensions Closed
Bug # 40357: Stabilize scheduler tests activate in travis Resolved
Bug # 40358: Fix failing category colletcion test Resolved
Bug # 40364: Form is not working anymore after namespace introduction Resolved
Bug # 40432: Namespaces: compressionLevel results in Fatal Error Resolved
Task # 40517: Clean up extensionmanager test directory Resolved
Bug # 40575: sysext impexp compat layer files refer to wrong classes Resolved
Bug # 40561: Custom TCEforms validator from saltedpasswords is broken since namespace s... Resolved
Bug # 40741: Persistence Manager's dependencies can't be resolved Resolved
Bug # 40742: Datamap for 3rd Party Extension Models creates wrong table name Resolved
Bug # 40743: Finding Repository for Model doesn't work with namespaces Resolved
Bug # 40770: Namespace and move t3lib unit tests - 6 Resolved
Bug # 40653: Namespace interfaces don't work for PHP version < 5.3.7 due to type hintin... Resolved
Bug # 40385: Namespace: SqlParser-Test Closed
Task # 40361: Remove compat layer for module "aboutmodules" Resolved
Task # 40360: Remove compat layer for module "about" Resolved
Bug # 40359: T3edit doesn't save changes Resolved
Task # 40392: Namespace and move t3lib unit tests - 4 Resolved
Task # 40620: Namespace and move t3lib unit tests - 5 Resolved
Bug # 40748: Property validation with Extbase 6.0 ignored Resolved
Task # 40774: Superfluous brackets in functions after namespaces move Resolved
Task # 40777: Superfluous brackets in functions after namespaces move Resolved
Task # 40779: Superfluous brackets in the version-sysext after namespaces move Resolved
Task # 40778: Superfluous brackets in functions after namespaces move Resolved
Task # 40830: Adopt Extbase to the Autoloader -> ClassLoader name change Resolved
Bug # 40811: Rename occurences still pointing to old classes after namespace-renaming Closed
Task # 40834: Move away fixture files from tests/ Resolved
Bug # 40795: Exception in TCA tree after Namespace changes Resolved
Task # 40836: Namespace SystemEnvironmentBuilderTest Resolved
Bug # 40877: Cleanup Bootstrap Classes Resolved
Bug # 40951: Rename autoloader class Closed
Bug # 40950: Move code from system extension integrity to extension lowlevel Resolved
Bug # 40949: Move code from the system extension cli to core/Classes Resolved
Bug # 40956: Re-enable previously skipped unit tests Resolved
Task # 41012: Provide class alias mechanism also for extensions Resolved
Task # 41013: Split up core alias map Resolved
Bug # 40955: resolveValidatorObjectName should also check for namespaces Resolved
Task # 41094: Rename Core\DataHandler\DataHandler Resolved
Task # 41095: Rename usage of Core\DataHandler\DataHandler Resolved
Task # 41096: Rename usage of Core\DataHandler\DataHandler Resolved
Bug # 41122: Do a class_alias call early in the bootstrap for base classes Resolved
Bug # 41128: Provide a file for IDEs to recognize old class names Resolved
  Bug # 41131: Fix syntax errors in legacy classes file for IDEs Resolved
Bug # 41161: Fix class naming and alias map after namespace change Closed
Bug # 41194: Use new class names in fluid tests Resolved
Bug # 41330: Fix wrong replacements of "language" class name Resolved
Bug # 40390: Namespace: Many files still require "old" files Resolved
Bug # 40814: Exception in TCA tree after Namespace changes (part 2) Rejected
Bug # 41367: Fix wrong replacements of the namespace refactoring Resolved
Bug # 41460: Scheduler doesn't show additional fields when creating new task Resolved
Bug # 41829: Fix AjaxIDs after namespace change Resolved
Bug # 41662: tablenames for namespaced extensions are resolved incorrect Resolved
Bug # 41785: Plugin registration doesn't support namespaced extensions Resolved
Bug # 40900: Mapping of DomainObject with namespaces Resolved
Bug # 41948: Fix generation of class schema for namespaced arguments Resolved
Bug # 44237: Fix erroneous replacement of language label Resolved
Related issues:
related to Core - Feature # 25337: Add PHP 5.3 namespace support Resolved 2011-03-16
related to Core - Task # 41943: Support logger names with namespace notation Resolved 2012-10-13
related to Core - Bug # 41938: Rename Log Interfaces "Writer" and "Processor"... Resolved 2012-10-12

Associated revisions
Revision 4612259a - 2012-08-23 22:57 - Thomas Maroschik

[TASK] Move and Namespace classes

Change-Id: Id49218118087244bcd063b730631ee69b2820670
Resolves: #40096
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14015
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 01c33b1e - 2012-08-23 22:57 - Thomas Maroschik

[TASK] Move and Namespace classes

Change-Id: I4bd5c2bd2541cbd0dffd244fbc3141cda218caec
Resolves: #40100
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14011
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 2aed998d - 2012-08-23 23:03 - Christian Kuhn

[TASK] Raise submodule pointer after namespace switch

Change-Id: I0439e388c13a5d3d572b1f8fbf1ae03891e211fe
Resolves: #40103
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14021
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 7c8501a1 - 2012-08-24 11:21 - Thomas Maroschik

[TASK] Adopt tests to new classnames

Change-Id: I6d47d742afc0765bd9fd2aaf4b2fe45498f05f45
Resolves: #40109
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14023
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision ecfc9f3a - 2012-08-24 13:40 - Christian Kuhn

[TASK] Move classes -> Classes

In saltedpasswords and t3editor.
Additionally some fixes to swift mailer loading are done.

Change-Id: I50b98f7364265d71a80672d8572433b98a0a5bea
Resolves: #40116
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14031
Reviewed-by: Thomas Maroschik
Tested-by: Thomas Maroschik

Revision 4f30ff37 - 2012-08-24 13:44 - Thomas Maroschik

[TASK] Make cli_dispatch and cli phpunit to run again
Change-Id: I8dec97913250c253f7331378bbf1d9ab46905252
Resolves: #40114
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14030
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 921aacc2 - 2012-08-24 13:47 - Christian Kuhn

[BUGFIX] Typo From -> Form

Change-Id: I0eb3007c4e653eeb7d7ea7bc75f5d96be34487e3
Resolves: #40117
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14032
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision d81c2a40 - 2012-08-24 14:16 - Thomas Maroschik

[TASK] Make extbase tests run again

Change-Id: Ib6475e5aed3633672c30a855edbf6c71b938510c
Resolves: #40119
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14034
Reviewed-by: Thomas Maroschik
Tested-by: Thomas Maroschik
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 510c1471 - 2012-08-24 14:17 - Thomas Maroschik

[TASK] Make fluid tests run again

Change-Id: I65f14be5f4d9ec7a71903619e37a4d27b24ca63b
Resolves: #40118
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14033
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 3a2471e5 - 2012-08-24 14:17 - Christian Kuhn

[TASK] Re-enable loading core_autoload
Change-Id: Id553ec6b908ce47cd920d794190d809d0ba16652
Resolves: #40120
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14035
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 2dfeb5fa - 2012-08-24 14:25 - Christian Kuhn

[TASK] Raise submodule pointer: extbase and fluid

Change-Id: I4843c7a6c64ac18381186470e4a2016ce5f2e9aa
Resolves: #40122
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14036
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 3e6479fd - 2012-08-24 16:27 - Christian Kuhn

[BUGFIX] Endless loop in flushOutputBuffers()

This should make travis run again.

Change-Id: I87f998211d12f2d7c40a582f8b2c605f2edcaed0
Resolves: #40126
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14041
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 10c1ff18 - 2012-08-24 16:40 - Stefan Froemken

[BUGFIX] Namespace switch LiveSearch main patch
Resolves: #40125
Related: #40095
Releases: 6.0

Change-Id: Ida0f08e7059ee0e127b4e7f33f6d13f1414308bb
Reviewed-on: http://review.typo3.org/14042
Reviewed-by: Thomas Maroschik
Tested-by: Thomas Maroschik

Revision 54de00fc - 2012-08-24 17:37 - Felix Kopp

[BUGFIX] Namespace: addToolbarItem on TYPO3backend
Change GLOBALS reference to not include namespace.

Change-Id: I98ef141273f5101587876e9a781dfe26d39ec50c
Fixes: #40123
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14037
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision db24ab9a - 2012-08-24 18:13 - Christian Kuhn

[TASK] Create some cache tables in travis

Change-Id: I4afa39c7033620eafd0647f3993700286591f7d9
Resolves: #40133
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14045
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision bdedb9ac - 2012-08-24 18:35 - Christian Kuhn

[BUGFIX] Reanimate unit tests

Make phpunit backend module for extbase tests load again

Change-Id: Ib3e05e343d2f34185c52727f16ede1331332b7ca
Resolves: #40135
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14046
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision fe8e8be2 - 2012-08-24 19:06 - Christian Kuhn

[BUGFIX] Broken category collection test

Wrong table name in fixture leads to DB error.

Change-Id: I75bc3733d90373835980aec8467604b9f1525e99
Resolves: #40136
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14047
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Revision 3ba8451e - 2012-08-24 19:15 - Wouter Wolters

[TASK] Constructor not correctly declared for WorkspaceSelectorToolbarItem

Constructor in WorkspaceSelectorToolbarItem is not correctly declared.
\TYPO3backend -> \TYPO3\CMS\Backend\Controller\BackendController

Change-Id: Iefe08e47342c015898c77036684fc2344105aa4e
Resolves: #40137
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14048
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 230c0c2e - 2012-08-24 20:36 - Wouter Wolters

[TASK] Make workspaces and tests working again

Make workspaces and tests working again

Change-Id: Ic6fce53d6220e926df60d9bbe8f09f54f4646f2e
Resolves: #40141
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14050
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 0e513390 - 2012-08-24 20:37 - Wouter Wolters

[TASK] Small cleanup after namespaces transformation

Small cleanup after namespaces transformation

Change-Id: I7823c90e7dd1819ed4fd082ae98e6a17e54670e4
Resolves: #40142
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14051
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 00389623 - 2012-08-24 20:37 - Wouter Wolters

[TASK] Small cleanup after namespaces transformation

Small cleanup after namespaces transformation

Change-Id: I7823c90e7dd1819ed4fd082ae98e6a17e54670e4
Resolves: #40142
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14051
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 95472812 - 2012-08-24 20:41 - Christian Kuhn

[TASK] Raise submodule pointer: workspaces & linkvalidator

Change-Id: Iea7d1f00d161f271c9e3b93ad6e9fcd3461be8d1
Resolves: #40143
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14052
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision d6feeb9c - 2012-08-24 21:56 - CPS-IT GmbH

[BUGFIX] Missing labels for backend login form

This patch reincludes the locallang_login.xml to render missing form
labels.

Change-Id: I229c60bc8a8b1b1f06e3f35e9ab459eb866c7f5a
Fixes: #40144
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14053
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 3928479e - 2012-08-24 22:28 - Christian Kuhn

[BUGFIX] Test dependency to autoloader tests

The new class_alias() mapping in the autoloader makes the autoloader
behave weird if it is unregistered and registered multiple times during
one call. This is the case in unit tests and can lead to fatals in other
tests. For now, it is checked if the autoloader already loaded the class
alias map to no redo this and the internal mapping is not overwritten.

Change-Id: I18d501dd803ae01183bfb7eeb37a819935c99681
Resolves: #40147
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14054
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 1be81a1c - 2012-08-24 22:52 - Nicole Cordes

[BUGFIX] Fatal error thrown in install tool

With disabled dbal extension it fails to
enter the install tool. The autoloader
is required by extension manager
function without any check for loaded
extension.

Change-Id: I74e71bd6dbccb9aed71a4d5206191fad56c1f3ff
Fixes: #40145
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14055
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision a657956b - 2012-08-24 23:35 - Tymoteusz Motylewski

[BUGFIX] Merge t3lib_exec class with t3lib_utility_Command

After namespace change both classes t3lib_utility_Command t3lib_exec
are mapped to the new class TYPO3\CMS\Core\Utility\CommandUtility

This patch adds missing t3lib_exec content to CommandUtility.

Mapping old classes names to new one is already done for both classes.

Related: #40095
Fixes: #40146
Release: 6.0

Change-Id: Iaed788ddebd42ed115c986fc7d6d056f73d29cb9
Reviewed-on: http://review.typo3.org/14056
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision c1c4e3a9 - 2012-08-25 00:14 - Tymoteusz Motylewski

[BUGFIX] Class SearchFormController_indexer' not found

This change fixes wrong class name of indexed search indexer.

Change-Id: I45ba6e7c85c3b6da1023507123e062c21402bd4e
Related: #40095
Fixes: #40149
Release: 6.0
Reviewed-on: http://review.typo3.org/14057
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision c6902905 - 2012-08-25 09:11 - Tymoteusz Motylewski

[BUGFIX] Interface Tx_Scheduler_AdditionalFieldProvider' not found

Fixes wrong class names in Extbase scheduler.

Change-Id: I5117f8caebfda9249499ac57c88019846c80886e
Related: #40095
Fixes: #40156
Release: 6.0
Reviewed-on: http://review.typo3.org/14058
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 38caede0 - 2012-08-25 09:15 - Nicole Cordes

[BUGFIX] Remote extensions aren't displayed

Due to some namespace changes some Php iterfaces can't be resolved. This
path takes care to absolute pathes for SplSubject and SplObserver.

Change-Id: I4492841b36aaeb7f4dfc6945aeaa096248e41158
Fixes: #40158
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14061
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 03fe2202 - 2012-08-25 09:17 - Nicole Cordes

[BUGFIX] index_search gets corrupted after namespace changes

Due to replace order for namespace pathes class tx_indexedsearch_indexer
gets corrupted. This patch fixes the problem by renaming the wrong class
name.

Change-Id: Idec2e8146c19acaef9746c95872a266b0101f93d
Fixes: #40159
Related: #40095
Release: 6.0
Reviewed-on: http://review.typo3.org/14062
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Revision ff7ea378 - 2012-08-25 09:21 - Nicole Cordes

[BUGFIX] Ajax scripts are broken

Because ajax screipts are registered with class name included, those were
replaced as well. It seems you excluded Javascript files from being parsed
as well, because still the old class names can be found here.

Change-Id: I96fa16aa76b948b421a8d1491dee39ddafdcfd40
Fixes: #40160
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14064
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision ce509a52 - 2012-08-25 11:01 - Stefan Froemken

[BUGFIX] Error in "open in new window" in task module

Reproduce:
Call tasks center module, click on the gray icon
"open in new window" (right top corner)

Error:
UnexpectedValueException thrown in file
\typo3\mod.php in line 55.

Change-Id: Ic94913f2bee2019c9be1954fc9ff78f90b8c5f84
Fixes: #40154
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14063
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision f5c2499b - 2012-08-25 11:19 - Stefan Froemken

[BUGFIX] Class DependencyResolver_Callback does not exist

When if saving a template:
Class TYPO3\CMS\Version\Dependency\DependencyResolver_Callback does not exist

New class name is
\TYPO3\CMS\Version\Dependency\EventCallback

Change-Id: Ibb2ed25eec29c9453a9bb2e1e05acf17a327ee91
Fixes: #40153
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14060
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 21ac7277 - 2012-08-25 13:10 - Felix Kopp

[BUGFIX] Namespace: Revert extension split-up: static_templates

Reverts the split-up for the extension statictemplates:
erroneous extKey was 'static_templates'.

Also fixes minor CGL and benni's email address.

Change-Id: I3ca4448bb5cf9353f0d0625df02ba081c11145e9
Resolves: #40167
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14065
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 2c87f97b - 2012-08-25 13:11 - Christian Kuhn

[BUGFIX] Naming clash: Fix several unit test failures

The move of classes in Persistence area of extbase to subfolder 'generic'
confused the refactor script a bit. The patch fixes several fatals that
especially occur in the unit test.

Change-Id: I06ae18030e8659ce1251ef87e3d634a65ddbcec4
Resolves: #40150
Related: #40095
Related: #35876
Releases: 6.0
Reviewed-on: http://review.typo3.org/14067
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 19d6d4a6 - 2012-08-25 13:42 - Felix Kopp

[BUGFIX] Namespace: Revert extension split-up: felogin

Reverts the split-up for the extension felogin:
erroneous extKey was 'fe_login'.

Also fixes minor CGL and sub package comments.

The tx_feloginTest (pi) compatibility case was remove including
the mapping because phpUnit will find the new case anyways.

Change-Id: Ic2b1b739b86000318c099d1337eb81f72bc83fdc
Resolves: #40173
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14068
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 529d075e - 2012-08-25 13:59 - Steffen Gebert

[BUGFIX] Namespaces: Bring back OpenID library

The library got dropped while the conversion.

Change-Id: Ic6c2b92e389b206dc2df607c397a0548506eb2ea
Resolves: #40162
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14069
Reviewed-by: Steffen Gebert
Tested-by: Steffen Gebert

Revision 8e603871 - 2012-08-25 14:13 - Christian Kuhn

[BUGFIX] Fluid unit test fatal

Change-Id: If049766b53f376634617e3c0da0e1ab0df085fe5
Resolves: #40180
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14074
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 2d0ac8cf - 2012-08-25 14:24 - Christian Kuhn

[TASK] Raise submodule pointer

Change-Id: Ic47d8cfcab41eb60ec475f30f6810310644063cd
Resolves: #40171
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14077
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision edb028d3 - 2012-08-25 15:32 - Wouter Wolters

[BUGFIX] Fix saltedpasswords unit-tests
Fix saltedpasswords unit-tests

Change-Id: Id20aa900c55d3ba2799ab2cf461cd1cd7231e32c
Resolves: #40185
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14080
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 7724e7ae - 2012-08-25 15:44 - Wouter Wolters

[BUGFIX] Fix ajax scripts in recycler

Fix ajax scripts in recycler

Change-Id: Idda6fbde50f300365b6659a8cb8efe6438b2de4b
Resolves: #40175
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14070
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 64c6a3af - 2012-08-25 16:04 - Wouter Wolters

[BUGFIX] Fix scheduler unit-tests

Change-Id: I7ba1b1f8348e0064de63588e91493776e398a631
Resolves: #40186
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14081
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 916dbd21 - 2012-08-25 16:12 - Felix Kopp

[BUGFIX] Namespace: Revert extension split-up: feedit

Reverts the split-up for the extension reedit:
Erroneous extKey was 'fe_edit'.

Also fixes minor CGL.

Change-Id: If727b7ffcefdd1fb917fc15d48b91e549f5b79b9
Releases: 6.0
Fixes: #40174
Related: #40095
Reviewed-on: http://review.typo3.org/14073
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 62eb19d5 - 2012-08-25 16:16 - Wouter Wolters

[TASK] Remove old unit-test files from saltedpasswords

Change-Id: Ic889af8ff204e06ab6272d22ba650894bef2a961
Resolves: #40188
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14083
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 48160d5b - 2012-08-25 16:18 - Jigal van Hemert

[BUGFIX] reference to OpenID lib to wrong directory

sysext/openid/sv1/class.tx_openid_store.php needs to load Interface.php
from sysext/openid/lib/php-openid/Auth/OpenID

Change-Id: Ibd040146234e54b9588824ec9e2db13d14a40f0d
Fixes: #40187
Related: #40095
Related: #40162
Releases: 6.0
Reviewed-on: http://review.typo3.org/14082
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision aa296ae2 - 2012-08-25 16:27 - Wouter Wolters

[BUGFIX] Namespace: Revert extension split-up: wizard_crpages

Reverts the split-up for the extension wizard_crpages:
erroneous extKey was 'wizard_create_pages'.

Change-Id: I7e14463d9c2cf59db2416dba48b76b32b7904f9c
Resolves: #40178
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14076
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision a6fd57ce - 2012-08-25 16:28 - Felix Kopp

[BUGFIX] Namespace: Revert extension split-up: wizard_sortpages

2015-08-04 17/48

http://review.typo3.org/14083
http://review.typo3.org/14082
http://review.typo3.org/14076


Reverts the split-up for the extension wizard_sortpages:
erroneous extKey was 'wizard_sort_pages'.

Change-Id: I17d48af00094707981983011eddb4777810ac2c1
Releases: 6.0
Fixes: #40181
Related: #40095
Reviewed-on: http://review.typo3.org/14075
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision c6065e95 - 2012-08-25 16:44 - Wouter Wolters

[BUGFIX] Namespace: Revert extension split-up: viewpage

Reverts the split-up for the extension viewpage:
erroneous extKey was 'view_page'.

Change-Id: I7539a0b4f6003180f9e22f7cb26526dca11bedac
Resolves: #40176
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14072
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 9774b2e1 - 2012-08-25 16:51 - Martin Helmich

[BUGFIX] Wrong file and classname in indexed_search

Change-Id: I4124e26c4f18e898c5841024fed98055e1a46f54
Fixes: #40182
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14078
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 75406556 - 2012-08-25 16:56 - Felix Kopp

[BUGFIX] Namespace: OpenDoc without open documents

The OpenDoc Controller message displayed when no documents
are opened currently references the wrong makeInstance path.

Changes the reference to deliver the correct Controller.

Change-Id: I0bfd2793ae3fc5a244e9285e9a94a1e1136f886d
Fixes: #40192
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14084
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 01b16592 - 2012-08-25 17:06 - Wouter Wolters

[BUGFIX] Fix install unit-tests

Fix install unit-tests

Change-Id: I67e718c57e6a9e58fc821d91ae4bf3b68ec19391
Resolves: #40183
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14079
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 93754d6a - 2012-08-25 18:14 - Christian Kuhn

[BUGFIX] Fluid unit tests after namespace switch

Change-Id: I144ea9073e9c9b25ead2aa889dc66cd56971640a
Resolves: #40200
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14086
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 6f671bb5 - 2012-08-25 19:02 - Wouter Wolters

[BUGFIX] Fix typo3 unit tests

Change-Id: If0c65781ea1c7e7979b22039cbc516040fa994e6
Resolves: #40201
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14087
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 020143e8 - 2012-08-25 19:03 - Wouter Wolters

[TASK] Fix ajax scripts in taskcenter

Change-Id: I7aa1fb4ca020ba64bb57288e8ffbbc3ddf85008c
Resolves: #40196
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14085
Reviewed-by: Philipp Gampe
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision dcd2b68b - 2012-08-25 19:20 - Christian Kuhn

[TASK] Raise submodule pointer: fluid

Change-Id: I6719c1ec986fb72ad6524bc6782447f4c50e925e
Resolves: #40205
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14089
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 04b6c81f - 2012-08-25 21:09 - Christian Kuhn

[BUGFIX] Unit tests after namespace switch

Change-Id: Ibb5b34bcefe68e7399ced84e756c24bfaf261248
Resolves: #40211
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14092
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision b66be593 - 2012-08-25 21:12 - Christian Kuhn

[TASK] Raise submodule pointer: extbase

Change-Id: Ib862cf0727dee99c8b8ff4f82429eefc096fcc47
Resolves: #40212
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14093
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 65362344 - 2012-08-25 22:08 - Felix Kopp

[BUGFIX] Namespace: help_cshmanual references local_TYPO3

TYPO3 manual fatals because of reference to local_TYPO3.
Fixes the makeInstance to not reference local_TYPO3.
Change-Id: Ic58f1262d39cbd48de00440313aaf2e7545de9c2
Fixes: #40204
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14088
Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 45cf5847 - 2012-08-25 23:11 - Felix Kopp

[BUGFIX] Follow-up: Revert Wizard_Crpages split-up

Reverts the split-up for the extension wizard_crpages:
erroneous extKey was 'wizard_create_pages'.

Two more occurrences were fixed.

Fixes: #40208
Related: #40095
Releases: 6.0
Change-Id: I8f2510c96486f22606990d738a27876792b1ed98
Reviewed-on: http://review.typo3.org/14090
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision e191290c - 2012-08-25 23:43 - Nicole Cordes

[BUGFIX] "template" was replaced by namespace everywhere

In some javascript and strings needed word template was replaced by the
namespace version of the class.

Change-Id: I2863412c9ad0b2eb2c6a7a4cc24a3358d18587bb
Fixes: #40210
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14094
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 39f3af80 - 2012-08-25 23:53 - Nicole Cordes

[BUGFIX] Still some openDoc errors

This patch fixes some more errors in openDoc functions caused by namespace
movement.

Change-Id: I4be4a503f0609eceb2c770ea018cf02b3ddd0f3d
Fixes: #40214
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14098
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision e59dc2cc - 2012-08-26 02:14 - Thomas Maroschik

[BUGFIX] Make Cli\Command Namespace aware

Change-Id: I2e9247cac7c2df58637ea43447ac195628292b80
Fixes: #40219
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14101
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 58d21c1e - 2012-08-26 11:31 - Nicole Cordes

[BUGFIX] Subrequests can't be resolved

This patch fixes the resolution of the controller object name when using
widget controller.

Change-Id: I003e7d6c7893b3519252f69b097375b741c5cf73
Fixes: #40157
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14059
Reviewed-by: Thomas Maroschik
Tested-by: Thomas Maroschik
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 2de1b4b1 - 2012-08-26 11:32 - Jigal van Hemert

[BUGFIX] Suggest wizard results in fatal error

Path in class.t3lib_tceforms_suggest.php had Forms instead of
Form in the path

Change-Id: Id26a6da0ae94945753edc77391368223fece6ecd
Fixes: #40222
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14104
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert
Revision 02db0d4b - 2012-08-26 14:39 - Christian Kuhn

[BUGFIX] TableListViewHelper fatal

Namespace declaration is at wrong position

Change-Id: Ifd3c9091b835a528bd254d8d2970e12f2efe7120
Resolves: #40228
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14107
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 405b541a - 2012-08-26 14:42 - Christian Kuhn

[BUGFIX] Class fatals

Change-Id: Ie260edf054d980ae4ee4513ab94f016bc29b0c60
Resolves: #40229
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14108
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 6264e150 - 2012-08-26 14:45 - Christian Kuhn

[BUGFIX] EXT:form - Wrong filter filename leads to fatal

Change-Id: Iac69fc330ea972ec99d58eb63684c36e0997df2b
Resolves: #40230
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14109
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 0c6104fa - 2012-08-26 19:05 - Steffen Gebert

[TASK] Correct DBAL ux_* class mapping in migrations file

Change-Id: If49d1772cd5fb93e17a7b8336510006a10ff0071
Resolves: #40237
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14119
Reviewed-by: Steffen Gebert
Tested-by: Steffen Gebert
Revision 8f97a968 - 2012-08-26 20:21 - Christian Kuhn

[TASK] Remove compat layer for new 6.0 classes

There is no compatibility layer needed for classes that were added
with 6.0. This first patch affects lots of classes in t3lib/,
especially some new 6.0 cache classes, the category code and
the whole FAL layer. The compatibily files are removed, deleted from
core_autoload and the migration class_alias file and all other
occurences of the class names within the core are cleaned up.

Change-Id: I8e81af7bf99a9d47866e1060dc5554f8297af5ca
Resolves: #40240
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14120
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision a9a1121e - 2012-08-26 20:43 - Wouter Wolters

[TASK] Remove mapping for ModuleItems

Change-Id: I15c23cc43e7100bdd9d68aa295babd546af09199
Resolves: #40226
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14115
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision c544e30b - 2012-08-26 21:12 - Alexander Schnitzler 

[BUGFIX] Fix classes without or broken namespace

The update script unfortunetly didn't successfully
rename all classes in Extbase, so I renamed the
remaining ones manually.

Change-Id: Ia084593b8e9bf13ba487ab3b430eddf9b254d85e
Fixes: #40224
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14112
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Revision 238f4d0e - 2012-08-26 23:16 - Christian Kuhn

[TASK] Remove compat layer for new 6.0 classes - 2

Remove the name space compatibility layer for new 6.0 classes in
t3lib/. This second patch finishes the work started with #40240
and removes the compatibily layer for the log API, and the new
configuration and rootline handling.
All class occurences that still referenced the old class names
in method headers and comments are adapted.

Change-Id: Icb49db084dc25ed7b1a0b2e092c3b7a4e672b01c
Resolves: #40244
Related: #40095
Related: #40240
Releases: 6.0
Reviewed-on: http://review.typo3.org/14122
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision d78f8bec - 2012-08-27 01:56 - Christian Kuhn

[TASK] Namespace and move t3lib unit tests - 1

This patch moves most unit tests of the tests/Unit/t3lib/ main
directory. They follow the new class names of the classes under
test and are namespaced. Covered are files that belong to the
backend and core extension.
The travis test configuration is adapted to execute tests
located in those extension folders.

Change-Id: Ibda0cb72596a418a3f97eeba83f39428a4d0d532
Resolves: #40247
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14123
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision de11ce9a - 2012-08-27 17:04 - Felix Kopp

[TASK] Namespace and move ModuleUtilityTest

Moves test for module/menu utility class to EXT: backend.
Also changes moduleMenuUtility to moduleController.

Change-Id: I258695f60335c8f2d15d597972b0cbc7a0b70083
Resolves: #40271
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14137
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision e2793c4c - 2012-08-27 22:33 - Felix Kopp

[BUGFIX] Namespace: EXT: indexed_search

Moves unit test case to the Tests folder and removes
the compatibility wrapper for previous test case.
Adds the namespace declaration for tx_phpunit_testcase.

Change-Id: I647e3ca873842f9c65c6d2fbab25748343792a5b
Fixes: #40275
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14142
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

Revision 450eb9d2 - 2012-08-28 09:43 - Wouter Wolters

[BUGFIX] Fix frontend unit tests

Move and stabilize EXT:frontend unit tests and add them
to travis testsuites.

Change-Id: Id3ade83bc54e3ba6ed80e435671954bb7c4f9482
Resolves: #40209
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14091
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 4e2d4300 - 2012-08-28 12:04 - Steffen Gebert

[BUGFIX] Wrong usage of class CacheManager

CacheManager is used as Cache_manager

Change-Id: I018df92d0ccbb0d736f797c8ba1e69df36c0c8b4
Resolves: #40318
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14148
Reviewed-by: Steffen Gebert
Tested-by: Steffen Gebert

Revision ec4db3ba - 2012-08-28 12:23 - Steffen Gebert

[BUGFIX] Wrong usage of class CacheManager

CacheManager is used as Cache_manager

Change-Id: Icc1b061265031a3dcf55204b3188a063398157d6
Resolves: #40318
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14149
Reviewed-by: Steffen Gebert
Tested-by: Steffen Gebert

Revision 2b168039 - 2012-08-28 12:26 - Steffen Gebert

[BUGFIX] Wrong renaming of DBAL dbPostgresqlTest

Has to be DatabasePostgresqlTest instead of DatabasePostgreesqlTest

Change-Id: I12912e94a351818b5a142e35d6226e4326b0941e
Resolves: #40327
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14150
Reviewed-by: Steffen Gebert
Tested-by: Steffen Gebert

Revision 28e5f61e - 2012-08-28 12:28 - Steffen Gebert

BUGFIX] Wrong renaming of DBAL dbPostgresqlTest

Has to be DatabasePostgresqlTest instead of DatabasePostgreesqlTest

Change-Id: I12912e94a351818b5a142e35d6226e4326b0941e
Resolves: #40327
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14151
Reviewed-by: Steffen Gebert
Tested-by: Steffen Gebert

Revision 9295bf87 - 2012-08-28 16:26 - Sebastian Fischer

[BUGFIX] Fix old propertymapper checking target with namespace

The propertymapper checks if the target is an object by checking on
is_string and an '_' in the string. Since namespaces are in use it
needs to check on \

Change-Id: I1e664995733fa1438a4df62f0e41758b22045692
Fixes: #40242
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14124
Reviewed-by: Nicole Cordes
Tested-by: Nicole Cordes
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

Revision 7cd56659 - 2012-08-28 19:29 - Steffen Gebert

[BUGFIX] Namespaces: Make dbal unit tests working

Change-Id: I1cbf166fc1f4dfa32e2e0c4abe34d413ce50d5d6
Resolves: #40172
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14117
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 64a79434 - 2012-08-28 19:34 - Thomas Maroschik

[BUGFIX] Call fullQuoteStr with table argument in RootlineUtility

Change-Id: I344ca18dc42380a86ae8fdfb369f6849cbf3f4e7
Fixes: #40352
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14164
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Thomas Maroschik
Tested-by: Thomas Maroschik

Revision 7b5a0689 - 2012-08-28 19:39 - Nicole Cordes

[BUGFIX] Autoloader fails for several classes

Due to false path the autoloader doesn't work in several cases. This patch
attaches the last class name parameter to file path.

Change-Id: Id3a7ee7204944267824f70457d4786c38cd278ec
Fixes: #40339
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14153
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert
Reviewed-by: Thomas Maroschik
Tested-by: Thomas Maroschik

Revision 5a0c3d6e - 2012-08-28 20:09 - Nicole Cordes

[BUGFIX] TypeHandlingService throws Exception for StorageObjects

On using the old ObjectStorage class the TypehandlingService throws an
exception. This patch adds old class name to type handling again.

Change-Id: Iad841c1ba19ce8b701c549e1b2dcaca86f33a748
Fixes: #40290
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14147
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Thomas Maroschik
Tested-by: Thomas Maroschik
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision bfa08c4f - 2012-08-28 20:42 - Wouter Wolters

[TASK] Namespace and move t3lib unit tests - 2

This patch moves most unit tests of the tests/Unit/t3lib/Cache
directory to the core extensio, following the new name scheme.

Change-Id: I9b6da42a4c5f9a6bfcf9218ecc76e420b340ed6c
Resolves: #40353
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14165
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 23e15def - 2012-08-28 21:26 - Wouter Wolters

[TASK] Namespace and move t3lib unit tests - 3

This patch moves most unit tests of the tests/Unit/t3lib/*
directory to the core extension, following the new name scheme.

Change-Id: Icff5a0ad820914e225e8c60b323aa68e99461840
Resolves: #40355
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14168
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 43baefaa - 2012-08-29 01:26 - Nicole Cordes

[TASK] Remove compat layer for about module

Patch deletes compat layer for class CustomSectionsInterface as it's newly
introduced in TYPO3 6.0

Change-Id: I22b9ffa117099d0ca86b0e8fb50a8d52c6182b8b
Resolves: #40360
Related: #40095
Related: #40240
Releases: 6.0
Reviewed-on: http://review.typo3.org/14173
Reviewed-by: Thomas Maroschik
Tested-by: Thomas Maroschik

Revision 7d921fae - 2012-08-30 07:58 - Nicole Cordes 

[TASK] Remove compat layer for backend module

Patch replaces calls of old extension classes which were replaced
in TYPO3 6.0

Change-Id: I34b170f3e7471835ccac553b0dc19eb363a4a30c
Resolves: #40369
Related: #40095
Related: #40240
Releases: 6.0
Reviewed-on: http://review.typo3.org/14210
Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe

Revision 4c1845e5 - 2012-08-30 07:58 - Nicole Cordes

[TASK] Remove compat layer for backend module

Patch replaces calls of old extension classes which were replaced
in TYPO3 6.0

Change-Id: I34b170f3e7471835ccac553b0dc19eb363a4a30c
Resolves: #40369
Related: #40095
Related: #40240
Releases: 6.0
Reviewed-on: http://review.typo3.org/14210
Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe

Revision cbccccf9 - 2012-08-30 18:28 - Steffen Gebert

[BUGFIX] Namespaces: compressionLevel results in Fatal Error

index_ts.php tries to instantiate a class named
TypoScriptFrontendControllercompression, which does not exist.

Change-Id: Id7b4f01e3f671ee235d6ce2389b08623273d8785
Resolves: #40432
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14221
Reviewed-by: Steffen Gebert
Tested-by: Steffen Gebert

Revision 810f1eb5 - 2012-08-30 20:24 - Wouter Wolters

[TASK] Add ext_emconf.php and icons to new sysext modules

Change-Id: Idb9014d79cbcc2614152050fabe593135b95d434
Resolves: #40233
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14223
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 9463f777 - 2012-09-01 21:20 - Wouter Wolters

[TASK] Namespace and move t3lib unit tests - 3

This patch moves most unit tests of the tests/Unit/t3lib/*
directory to the core extension, following the new name scheme.

Change-Id: I13ee88b7098ab4689e8bf71fed15762678540626
Resolves: #40355
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14241
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 1e7e8e9f - 2012-09-01 22:14 - Christian Kuhn
[TASK] Stabilize scheduler tests and activate in travis

Minor corrections for the scheduler tests should make them stable
enough to be activated in the travis test suite.

Change-Id: Ib9c4881f0836bed07575aad3e05dfdbc67b1cb1f
Resolves: #40357
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14170
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 8a1ea75e - 2012-09-01 23:48 - Christian Kuhn

[TASK] Clean up extensionmanager test directory

There are still those empty 'old' test files from the namespace script
that moved the tests to the Tests/Unit subfolder. They are removed now.
Additionally the test class comments to state the name of the class
under test are removed, this information is redundant and is obvious
from the test class and file name.

Change-Id: I0ef68252543e058cb76137518276fa2db4f9febd
Resolves: #40517
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14277
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision f2baaabb - 2012-09-02 10:31 - Wouter Wolters

[TASK] Namespace and move t3lib unit tests - 4

This patch moves most unit tests of the tests/Unit/t3lib/*
directory to the core extension, following the new name scheme.

Change-Id: Ia3e45b7557b0d28edd3dbf16631f537bd8e255c3
Resolves: #40392
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14205
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 1721a490 - 2012-09-09 17:16 - Wouter Wolters

[TASK] Namespace and move t3lib unit tests - 5
This patch moves most unit tests of the tests/Unit/t3lib/*
directory to the core extension, following the new name scheme.

Change-Id: Ia08a3c0251c577676e3920dc880bb54e1651e5c2
Resolves: #40620
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14339
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision cca3ec76 - 2012-09-09 17:45 - Wouter Wolters

[TASK] Namespace and move t3lib unit tests - 6

This patch moves most unit tests of the tests/Unit/t3lib/*
directory to the core extension, following the new name scheme.

Change-Id: Ia03bc00ccb256c68684f7243fea77804081cb287
Resolves: #40770
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14475
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 863338a9 - 2012-09-09 23:26 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: Id4784f2c2d61a68e6e1238623f9450c8b593a663
Resolves: #40774
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14481
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 4ff68340 - 2012-09-09 23:46 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis.

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: I7d10826a66a32af1fb3dbd462b028a5d12cfba89
Resolves: #40777
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14482
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 07734f51 - 2012-09-09 23:48 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis.

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: I90fef2823026e7c5c4048470500db4acb5276243
Resolves: #40778
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14485
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision c30f2663 - 2012-09-09 23:48 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis.

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: I90fef2823026e7c5c4048470500db4acb5276243
Resolves: #40778
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14485
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision b2c69149 - 2012-09-10 00:01 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis.

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: I42191aed03c4d78ae98d8e0e3d0468c10e11dd0c
Resolves: #40779
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14486
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision b5fcb5b7 - 2012-09-11 20:34 - Christian Kuhn

[TASK] Move fixture files from tests/

There are still some fixture files within the root tests/ directory.
The patch moves them to Fixtures/ folders below the using tests
within the affected core and backend extensions.

Change-Id: Ied23b542a65becac02c9af576728da886552484d
Resolves: #40834
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14525
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision fc7d6c73 - 2012-09-11 20:38 - Thomas Maroschik

[BUGFIX] Make ext:form work with namespaced classnames

Change-Id: I26b501e49d41656eb50996be4d56b4c18f1563ba
Fixes: #40364
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14178
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

Revision bab0ee62 - 2012-09-11 21:54 - Christian Kuhn

[TASK] Namespace SystemEnvironmentBuilderTest

    -  Move BaseSetupTest to SystemEnvironmentBuilderTest and namespace it.
    -  Introduce an AccessibleProxy for the protected methods instead of eval.
    -  Merge config_defaultTest to SystemEnvironmentBuilderTest

Change-Id: Ie90857962087e235a7f4a8eb53df120624fd8780
Resolves: #40836
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14527
Reviewed-by: Christian Kuhn

2015-08-04 35/48

http://review.typo3.org/14486
http://review.typo3.org/14525
http://review.typo3.org/14178
http://review.typo3.org/14527


Tested-by: Christian Kuhn

Revision 4433a85e - 2012-09-16 11:42 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis in sysext backend

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: I8a30e8689c1c567770d0c03beaa12a0bf29e9b09
Resolves: #40878
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14563
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

Revision 415c0866 - 2012-09-16 13:50 - Wouter Wolters

[BUGFIX] Editing page is broken on wrong type

Change-Id: If6d3dfcb0fb095063750eaeb85bdb32aef0f417e
Resolves: #40282
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14144
Reviewed-by: Nicole Cordes
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

Revision 015f697c - 2012-09-16 14:13 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis in sysext core

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: I818d55a2f00b549fef8377f1c6766c293edd021c
Resolves: #40880
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14565
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Mattias Nilsson
Tested-by: Mattias Nilsson
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel
Revision 86349411 - 2012-09-16 14:24 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis in sysext frontend

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: I09b90a58a74a219e6957488a7cca7a591c27ff70
Resolves: #40881
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14566
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

Revision 6668d376 - 2012-09-16 21:53 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis in sysexts.

Removes superfluous parenthesis in sysexts "cli", "cms",
"context_help" and "cshmanual".

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: I0ff0fc33d3c0733498d5821e77b224db20213705
Resolves: #40963
Related: #40095
Reviewed-on: http://review.typo3.org/14621
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

Revision 1e4ae82b - 2012-09-16 21:53 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis in sysexts.

Removes superfluous parenthesis in sysexts "aboutmodules", "adodb",
"belog" and "beuser".

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: I26f72a6d5e18617a0838e64068817e4fd7c1c90e
Resolves: #40962
Related: #40095
Reviewed-on: http://review.typo3.org/14620
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert
Revision 6d68b2d6 - 2012-09-17 09:39 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis in sysexts

Removes superfluous parenthesis in sysexts "func_wizards", "impexp",
"indexed_search" and "info".

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: Ib367bc98070cb9bf8350b955f5ba7dee1872f607
Resolves: #40966
Related: #40095
Reviewed-on: http://review.typo3.org/14625
Reviewed-by: Mattias Nilsson
Tested-by: Mattias Nilsson
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

Revision ec08ae68 - 2012-09-17 19:17 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis in sysexts

Removes superfluous parenthesis in sysexts "recycler", "reports",
"rsaauth" and "rtehtmlarea".

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: I5786043a52ea50477072c82e039179272e6692ca
Resolves: #40969
Related: #40095
Reviewed-on: http://review.typo3.org/14628
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

Revision b94456a6 - 2012-09-17 20:54 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis in folders typo3 and t3lib

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: I77e999229bf10bc39757f927bb3386eb2df8ec61
Resolves: #40982
Related: #40095
Reviewed-on: http://review.typo3.org/14634
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert
Revision cfbae0f8 - 2012-09-17 21:16 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis in sysexts

Removes superfluous parenthesis in sysexts "viewpage",
"wizard_crpages" and "wizard_sortpages".

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: Ib5818e68f9e21164de8e42da73686cf1327410a9
Resolves: #40974
Related: #40095
Reviewed-on: http://review.typo3.org/14633
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

Revision 6e8ad38e - 2012-09-17 21:16 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis in sysexts

Removes superfluous parenthesis in sysexts "tstemplate_analyzer",
"tstemplate_ceditor", "tstemplate_info" and "tstemplate_objbrowser".

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: I7724aa9b38d7db641db4bd75c1a059bf8a71038b
Resolves: #40973
Related: #40095
Reviewed-on: http://review.typo3.org/14632
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

Revision 473f9c4e - 2012-09-17 21:56 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis in sysexts

Removes superfluous parenthesis in sysexts "t3skin", "taskcenter",
"tsconfig_help" and "tstemplate".

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: I9034b5146aa02651e99ab3651c50d785423e64c2
Resolves: #40972
Related: #40095
Reviewed-on: http://review.typo3.org/14631
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

Revision 6a0863cf - 2012-09-17 21:57 - Arvid Jakobsson

[TASK] Remove superfluous parens in sysexts css_styled_content - feedit

Removes superfluous parenthesis in sysexts "css_styled_content",
"extensionmanager", "extra_page_cm_options" and "feedit".

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: I9ec62d6b2782e349cef447c7a9c87f4a4fbc2585
Resolves: #40964
Related: #40095
Reviewed-on: http://review.typo3.org/14623
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

Revision 5422f6aa - 2012-09-17 21:57 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis in sysexts

Removes superfluous parenthesis in sysexts "sv", "sys_action",
"sys_note" and "t3editor".

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: Ib4b3541051a30895d6657b6af367f9c6c58dac44
Resolves: #40971
Related: #40095
Reviewed-on: http://review.typo3.org/14630
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

Revision 3882ce1a - 2012-09-17 22:41 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis in sysexts

Removes superfluous parenthesis in sysexts "saltedpasswords",
"scheduler", "setup" and "statictemplates".

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: Ie1e7d052f5d8dfac95d01a70ed750e69cf4bb7f6
Resolves: #40970
Related: #40095
Reviewed-on: http://review.typo3.org/14629
Reviewed-by: Thomas Loeffler
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

Revision b04fa38b - 2012-09-17 22:42 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis in sysexts

Removes superfluous parenthesis in sysexts "opendocs", "openid",
"perm" and "recordlist".

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: Ibe211f8ff6ba0089ecb086bd645ca55ab6fcc9da
Resolves: #40968
Related: #40095
Reviewed-on: http://review.typo3.org/14627
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

Revision 302de452 - 2012-09-18 12:47 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis in sysexts

Removes superfluous parenthesis in sysexts "info_pagetsconfig",
"install", "integrity" and "lang".

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: I367b1bef893de93964b41d900f29e2dfcedb8aaf
Resolves: #40967
Related: #40095
Reviewed-on: http://review.typo3.org/14626
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

Revision e62341f6 - 2012-09-18 12:47 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis in sysexts

Removes superfluous parenthesis in sysexts "felogin", "filelist",
"form" and "func".

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: I2e9e0b8e339dae93c0361a6ba36e41beb0f54711
Resolves: #40965
Related: #40095
Reviewed-on: http://review.typo3.org/14624
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

Revision 547ef7f6 - 2012-09-18 17:42 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis in sysexts

Superfluous brackets in fluid after namespaces move
Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Resolves: #41016
Related: #40095
Releases: 6.0
Change-Id: I64741473cb24eda343f0576ebd1a0f1846dfc3f8
Reviewed-on: http://review.typo3.org/14675
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

Revision d62c4eaa - 2012-09-18 19:38 - Thomas Maroschik

[TASK] Adopt Extbase to the Autoloader -> ClassLoader name change

Change-Id: If464fbdacbd278d77a1e03a7df395d5a771642ea
Resolves: #40830
Related: #40095
Depends: I87da4bb2ef0420a94d1d155edde500c1aa96894a
Reviewed-on: http://review.typo3.org/14523
Reviewed-by: Nicole Cordes
Tested-by: Nicole Cordes
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

Revision ceb6d707 - 2012-09-18 19:51 - Nicole Cordes

[BUGFIX] Fatal errors for interfaces with PHP version < 5.3.7

This bugfix rewrites function type hints to match the new ones as long as
PHP versions of OS Venders are not up to date.
Fatal errors are thrown when using an old interface with the new
TYPO3 6.0 beta 1. This only happens with PHP versions below 5.3.7 as
there are some type hinting issues.

Raise the Extbase submodule pointer at the same time to be in line
with the renaming of the Autoloader to ClassLoader.

Change-Id: I87da4bb2ef0420a94d1d155edde500c1aa96894a
Fixes: #40653
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14376
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

Revision 291c04ac - 2012-09-18 19:58 - Arvid Jakobsson

[TASK] Remove superfluous parenthesis in sysexts

Superfluous brackets in extbase after namespaces move

Change ("a" . "b") . "c" into "a" . "b" . "c" using the lex-pass tool.

Change-Id: I0c72e4b899db7c87b2513f8546012bbb815a7220
Resolves: #41015
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14677
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

Revision 261214cd - 2012-09-20 13:45 - Christian Kuhn

[TASK] Rename usage of Core\DataHandler\DataHandler

Old t3lib_tcemain was renamed to Core\DataHandler\DataHandling, but
should have been Core\DataHandling\DataHandler instead, located beside
the other classes and hook interfaces.
The patch changes all usages in EXT:workspace.

Change-Id: I58c2f76723daf1708c7dad819da9000af8c3c977
Resolves: #41096
Related: #41094
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14761
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 071321d4 - 2012-09-20 13:45 - Christian Kuhn

[TASK] Rename usage of Core\DataHandler\DataHandler
Old t3lib_tcemain was renamed to Core\DataHandler\DataHandling, but should
have been Core\DataHandling\DataHandler instead, located beside the other
classes and hook interfaces. The patch changes all usages in EXT:version.

Change-Id: I3ca90294b18af52f94e1cb5f89234eec70cd00c3
Resolves: #41095
Related: #41094
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14759
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision 5d481fb6 - 2012-09-20 13:51 - Christian Kuhn

[TASK] Rename Core\DataHandler\DataHandler

Old t3lib_tcemain was renamed to Core\DataHandler\DataHandling, but
should have been Core\DataHandling\DataHandler instead, located
beside the other classes and hook interfaces.
The patch moves the file and corrects all usages, and raises
submodule pointers of workspace and version that already got
the rename patches.

Change-Id: I394849aceebc389d88b0da0f0ff9751a7cc8efc5
Resolves: #41094
Related: #40095
Related: #41095
Related: #41096
Releases: 6.0
Reviewed-on: http://review.typo3.org/14762
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision d1739468 - 2012-09-22 10:45 - Nicole Cordes

[TASK] Use namespaced class name in adodb flexform

Resolves: #40363
Related: #40095
Related: #40240
Releases: 6.0
Change-Id: Ic6294e41096c2db1327ad77d3d4fd00f93364ea0
Reviewed-on: http://review.typo3.org/14177
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

Revision d0e74c5b - 2012-09-26 17:08 - Thomas Maroschik

[TASK] Provide class alias file for fluid
Change-Id: I9aba15b22c020d8041b93d0397d257a04fd0f498
Resolves: #41386
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/15088
Reviewed-by: Ingo Pfennigstorf
Tested-by: Ingo Pfennigstorf
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

Revision 18af5007 - 2012-09-27 14:06 - Thomas Maroschik

[TASK] Provide class alias file for linkvalidator

Change-Id: Ie9e202481b9946ec72a9e8f3227d0f0ae8d6de56
Resolves: #41387
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/15089
Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe

Revision de7f0341 - 2012-09-27 14:06 - Thomas Maroschik

[TASK] Provide class alias file for linkvalidator

Change-Id: Ie9e202481b9946ec72a9e8f3227d0f0ae8d6de56
Resolves: #41387
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/15089
Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe

Revision 97c4abc8 - 2012-09-27 18:21 - Thomas Maroschik

[BUGFIX] Release scheduler from classname field

Currently the scheduler depends at many parts on its classname field in
the tx_scheduler_task table. This is not necessary as the classname is
already stored in the serialized task object. By releasing scheduler
tasks from their classname field backwards compatibility is maintained
by the class_alias mechanism.

Change-Id: I26f228add1f3db9f99ec3f5691488bd453ae2339
Fixes: #40215
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/14236
Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe
Reviewed-by: Jigal van Hemert
Tested-by: Jigal van Hemert

Revision a0667945 - 2012-09-30 16:26 - Thomas Maroschik

[TASK] Provide class alias file for version

Change-Id: I76b2bd39a6857353d4890143c8e95f50873fb6a1
Resolves: #41388
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/15091
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

Revision 8522394d - 2012-09-30 16:39 - Thomas Maroschik

[TASK] Provide class alias file for workspaces

Change-Id: I2b38e28115a93c3796884180c5678d544ba52d77
Resolves: #41389
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/15092
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

Revision 00405773 - 2012-09-30 16:43 - Thomas Maroschik

[TASK] Provide class alias file for dbal

Change-Id: Id4453a3e19d0a540c882a01839fcfc997b22932f
Resolves: #41384
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/15086
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

Revision 939f07bd - 2012-10-01 19:44 - Thomas Maroschik

[TASK] Clean up class alias mechanism

    -  adopt class loader to load the class alias map from a location
  Migrations/Code/ClassAliasMap.php in every extensions path

    -  split up core class alias map into extension class alias maps
    -  adopt tests to the compound class loader cache
Change-Id: I7102fd5aab7a6364d5bcb5603f011dfcdb859ec9
Resolves: #41012
Resolves: #41013
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/15085
Reviewed-by: Thomas Maroschik
Tested-by: Thomas Maroschik
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

Revision 15464161 - 2012-11-02 21:31 - Aske Ertmann

[TASK] Update doc block example code to to namespaces

Change-Id: I89eeb3aaa772e97ca09cd633edc5d2e404fd7603
Related: #40095
Releases: 6.0
Reviewed-on: http://review.typo3.org/16048
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Reviewed-by: Wouter Wolters
Reviewed-by: Jan-Erik Revsbech
Tested-by: Jan-Erik Revsbech
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

Revision 18e8d9c6 - 2013-03-31 21:16 - Nicole Cordes

[TASK] Remove compat layer for backend module

Patch replaces calls of old extension classes which were replaced
in TYPO3 6.0

Change-Id: I6b96d54e7505d14cd4f1909f8fda9559ec79a951
Resolves: #40369
Related: #40095
Related: #40240
Releases: 6.1, 6.0
Reviewed-on: https://review.typo3.org/14209
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

Revision 991b337d - 2013-04-26 19:33 - Nicole Cordes

[TASK] Remove compat layer for backend module

Patch replaces calls of old extension classes which were replaced

2015-08-04 47/48

http://review.typo3.org/15085
http://review.typo3.org/16048
https://review.typo3.org/14209


in TYPO3 6.0

Change-Id: I6b96d54e7505d14cd4f1909f8fda9559ec79a951
Resolves: #40369
Related: #40095
Related: #40240
Releases: 6.1, 6.0
Reviewed-on: https://review.typo3.org/20196
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

History
#1 - 2015-06-05 23:20 - Christian Kuhn
- Status changed from New to Resolved
- Remaining (hours) deleted (0.0)
